package com.ssj.bean.weixin.story.bean;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

@Entity
@Table(name = "tb_story_card_reply")
public class StoryCardReply  extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1276491913144565025L;
	private String storyCardId;
	private String storyTaskId;
	private String content;
	private String userId;
	private Date createTime;
	private String userName;
	private String userPhoto;
	
	
	public String getStoryCardId() {
		return storyCardId;
	}
	public void setStoryCardId(String storyCardId) {
		this.storyCardId = storyCardId;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getUserPhoto() {
		return userPhoto;
	}
	public void setUserPhoto(String userPhoto) {
		this.userPhoto = userPhoto;
	}
	public String getStoryTaskId() {
		return storyTaskId;
	}
	public void setStoryTaskId(String storyTaskId) {
		this.storyTaskId = storyTaskId;
	}
	
	
	
	
}
